Bug 60428 - Duplex Printing - HP Officejet Pro 8600 Plus
Summary: Duplex Printing - HP Officejet Pro 8600 Plus
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: needsDuplexPrinter
Keywords: preBibisect, regression
: 65007 70824 80841 82999 83602 86848 112319 (view as bug list)
Depends on:
Blocks: Printer-Settings
  Show dependency treegraph
 
Reported: 2013-02-07 16:36 UTC by rosgnilk
Modified: 2020-01-11 09:42 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rosgnilk 2013-02-07 16:36:26 UTC
Problem description: it's not possible to print duplex from LO. it works from all other software. I tried all kind of different settings with no luck.

Steps to reproduce:
1. print
2. change settings to duplex

Current behavior: prints still single paged

Expected behavior: should print douplex
Comment 1 Julien Nabet 2013-05-30 20:37:48 UTC
*** Bug 65007 has been marked as a duplicate of this bug. ***
Comment 2 Julien Nabet 2013-05-30 21:09:42 UTC
rosgnilk: I put it at New since there's a duplicate (considering "See also", I think there are more than 1)

Michael: it seems the Duplex printing option are present in several bugtrackers.
Do you know who may help about this?
Comment 3 fremwi 2013-09-07 09:14:06 UTC
Same problem with LO 4.0.2.2 and a HP OJ8600+ on Ubuntu 13.04 (64bits) and HP LPIP 3.13.8. The duplex printing works fine with Adobe reader (for instance), but can't be set with LO 4.0.2.2.
Comment 4 Robinson Tryon (qubit) 2013-10-29 17:11:59 UTC Comment hidden (obsolete)
Comment 5 Dominik 2014-07-19 14:18:27 UTC
*** Bug 70824 has been marked as a duplicate of this bug. ***
Comment 6 Dominik 2014-07-19 14:27:56 UTC
added 60428 as see also, as he has the inverted problem. (default settings: duplex, LO set to single paged)

therefore i conclude that the duplex setting is just ignored.
Comment 7 herman.viaene 2014-09-04 17:59:36 UTC
*** Bug 82999 has been marked as a duplicate of this bug. ***
Comment 8 Robinson Tryon (qubit) 2014-09-05 07:42:38 UTC Comment hidden (obsolete)
Comment 9 Miguel 2014-10-19 13:34:03 UTC
I confirm this with HP Officejet 8610 with the following software/OS pairs:


- Ubuntu 12.04 + LO 4.2.6.3
- Windows 8.1 + 4.1.04

Duplex printing is ignored:
- On Ubuntu it prints one page only
- On Windows it doesn't print at all
Comment 10 tommy27 2014-10-31 05:56:44 UTC
*** Bug 80841 has been marked as a duplicate of this bug. ***
Comment 11 GwenDragon 2014-11-29 13:44:21 UTC
Can confirm this for HP Officejet Pro 8100 on Debian 7 Wheezy, too.

Libreoffice 4.2.6.3 does not change settings for duplex and page flipping.
Comment 12 Robinson Tryon (qubit) 2014-11-29 13:56:17 UTC Comment hidden (obsolete)
Comment 13 herman.viaene 2014-11-30 15:29:18 UTC
Working on Mageia 3 and now 4, I cannot remember this appearing in LibreOffice 4.0.x. And BTW, I have been using (but not very frequently) LibreOffice on Win 7, and never had this problem. In fact, I make my documents on Mageia4 now, and print them on a Win 7 PC, which has networked access on my files on the Mageia PC.
The printing goes from Win 7 directly to the printer as both are on my WiFi router. the printer is connected to the Mageia PC on the USB.
Comment 14 Matthew Francis 2015-01-27 11:48:57 UTC
*** Bug 86848 has been marked as a duplicate of this bug. ***
Comment 15 Argyris 2015-02-11 02:04:08 UTC
*** Bug 83602 has been marked as a duplicate of this bug. ***
Comment 16 Argyris 2015-02-11 02:05:52 UTC
This also happens with an HP Photosmart 5520.
Comment 17 Coypus 2015-02-19 22:20:37 UTC
Confirmed:
1) x64, Linux Mint 17.1, HPLIP 3.15.2, LO 4.2.7.2, 4.4, 3.5.6 and 3.3.4 (last two LO version testing in virtual machines, but otherwise setup identical)
2) i386, Lubuntu 14.10, LO 4.3.3.2 (otherwise setup same as previous)

Workaround (choose duplex: <ignore> in print->properties) works (but only once, you can go into properties a second time to confirm the setting is still present, but you go into it a third time because then it'll revert to single sided).

Notice that bug already seemed to exist in 3.3 so seems to predate Libreoffice (inherited from OO).
Comment 18 Robinson Tryon (qubit) 2015-02-19 22:22:23 UTC
(In reply to Coypus from comment #17)
> Confirmed:
> 1) x64, Linux Mint 17.1, HPLIP 3.15.2, LO 4.2.7.2, 4.4, 3.5.6 and 3.3.4

Moving version to earliest: 3.3.4 release
Comment 19 Coypus 2015-02-21 17:20:16 UTC
A couple of additional details about my setup, possibly relevant for debugging. 

My locale is set to en_GB globally in all cases. Default page size is A4, though strangely defaults to Letter in File->Printer Settings->Properties. BTW, in this same setting dialog I can set the paper size to A4 and Duplex to LongEdge and it even remembers the setting after reopening the dialogue boxes; these settings appear to have any effect on the settings subsequently shown in File->Print->Properties however, which again revert to the Letter page size and Duplex off. 

Also, the HPLIP driver installed for the the printer (and possibly all HP Officejet printers with a duplexer installed) have a special paper size meant to be used to duplex printing called "A4 AutoDuplex" (in addition to a simple "A4" option which I guess should be used for single-sided printing). In all cases I chose "A4 AutoDuplex" as the paper size. Honestly I never understood why there needs to be a seperate "A4 AutoDuplex" option in addition to the "A4" option since there's a seperate duplex option to chose whether I want duplexing on/off and what kind (short or long edge) but that's a driver issue a guess.
Comment 20 Robinson Tryon (qubit) 2015-12-14 05:36:52 UTC Comment hidden (obsolete)
Comment 21 Joel Madero 2016-01-09 04:49:01 UTC
if we ever hope to move this forward a bibisect from those seeing the problem would be REALLY useful. If you need someone to walk you through it feel free to join the chat: https://kiwiirc.com/client/irc.freenode.net/libreoffice-qa
Comment 22 Peter Stolz 2016-01-09 10:09:49 UTC
With HP Officejet Pro 8100 duplex printing works under LO.

LO: 5.0.2.2
HPLIP-3.15.11
openSUSE Leap 42.1
Comment 23 herman.viaene 2016-01-13 09:15:50 UTC
Tried my hand at bibisect, got LO 5.1.0 on my PC 
but at CLI:
> git checkout latest
error: pathspec 'latest' did not match any file(s) known to git.
So I used 
> git checkout oldest
and that got me the 5.1.0 version
but:
Opening a multipage document and choose File - Printer Settings: I can select duplex. When I OK it, and open the dialogue again, the setting is preserved.
Then opening File - Print, choose Properties for the HP Officejet Pro 8100: the duplex setting is NOT on, I can set it, I OK the setting, and open the Properties again, the duplex setting is gone.
Trying to print two pages of the document gives me two pages of paper, the duplex setting doess not work.
Comment 24 Michael Weghorn 2016-01-29 10:22:05 UTC
(In reply to herman.viaene from comment #23)
> Tried my hand at bibisect, got LO 5.1.0 on my PC 
> but at CLI:
> > git checkout latest
> error: pathspec 'latest' did not match any file(s) known to git.
> So I used 
> > git checkout oldest
> and that got me the 5.1.0 version


Thank you for trying to bibisect this bug!
Which operating system are you using and which bibisect repository did you try out?

I think that the "43all" bibisect repository might be a good choice for bibisecting this bug if you are using Linux, as the bug seems to be present in older versions of LibreOffice already.
More info about the repository (download link is there as well): https://wiki.documentfoundation.org/QA/Bibisect/Linux#43all
In this bibisect repository, "git checkout latest" should work.
Comment 25 herman.viaene 2016-01-29 12:26:11 UTC
@Michael
I explained my usage and versions in Comment 13.
As I saw Comment 22, I wanted to test if the bug really was solved on my Mageia 5 platform.
The issue I got at the checkout, let me install 5.1.0 , not 5.0.2 as in Comment 22, but a newer version would be OK i guessed?
As to which repository I used, I cann't confirm anymore, as the laptop I used to test, died, and I had to replace it, I have to reinstall everything on a naw machine and run the tests again from scratch.
Comment 26 GwenDragon 2016-04-05 15:12:56 UTC
related Bug 86848 fixed with
LibreOffice 5.1.1-1~bpo8+1
Debian 8.4 x64
KDE 4.14.2
cups 1.7.5-11+deb8u1
hplip 3.16.3+repack0-1~bpo8+1
Comment 27 QA Administrators 2017-05-22 13:18:51 UTC Comment hidden (obsolete, spam)
Comment 28 rosgnilk 2017-05-22 14:53:12 UTC
Works for me with Ubuntu 16.04 LTS and LO 5.1.6.2
Comment 29 herman.viaene 2017-05-23 18:04:24 UTC
OK for me on Mageia 6RC and LibreOffice 5.3.3.2
Comment 30 berndheinze69 2017-05-28 17:06:34 UTC
This bug is NOT fixed!
I still see this bug on Windows XP with LibreOffice 5.3.3.2 and a Brother HL-1430 printer.
(For the record this bug can also be found in 5.0.3.2 and 4.3.4.1)

The brother printer driver offers a manual duplex function which displays message boxes to the user "Insert paper like this... and press OK" before printing the even and odd pages. With LibreOffice this does not happen, instead all pages are printed immediately.


I think this is more of a problem how LO communicates with the printer drivers. Just like LO itself the brother driver offers the option "2 pages on 1 sheet". If I use this option the printer will only print one page at a time, with the other half of the page being blank.
Example: (page 1|empty), (page 2|empty), (page 3|empty), etc.
Should be: (page 1|page 2), (page 3|page 4)
Comment 31 Xisco Faulí 2017-09-17 09:47:42 UTC
*** Bug 112319 has been marked as a duplicate of this bug. ***
Comment 32 Denis Bill 2018-03-12 19:53:16 UTC Comment hidden (spam)
Comment 33 Johnleeo 2018-10-01 05:29:05 UTC Comment hidden (spam)
Comment 34 john parker 2018-10-04 09:02:52 UTC Comment hidden (spam)
Comment 35 Mohammad hassan 2018-10-05 11:07:46 UTC Comment hidden (spam)
Comment 36 Timur 2018-10-24 11:32:02 UTC Comment hidden (obsolete)
Comment 37 Robert Pearson 2018-11-15 11:21:52 UTC
After 5 years (reported on 2013-02-07) there is still no one willing to try and fix this bug.

Workaround is to print to PDF file and then use browser to print 2-sided. This proves that the problem is not the printer or Linux. The browser works, LibreOffice does not.

I am a Ubuntu MATE newbie so is this lack of support typical?
Comment 38 herman.viaene 2018-11-15 12:53:57 UTC
@ Robert Pearson.
I am one of the early bug reporters - not linked to LO in anyway.
As you can see in my comments 29, the bug was solved - and still is - for my configuration.
If you still have problems in yours (which printer , which distribution - version), I suggest you take the advice from Timur in Comment 36 and log a new bug with the appropriate details.
And no, this is not typical, I have logged bugs in the past and I've got responses in decent time lapses.
Comment 39 Robert Pearson 2019-01-09 19:57:07 UTC
This bug was reported over 5 years ago and has been ignored ever sense. It shows that the Linux developers do not respond to bug reports.

I am running Ubuntu MATE 18.10 on an AMD 64-bit machine. My printer is an HP OfficeJet Pro 7740.

Please examine the code in any other application (Chrome, Fire Fox, Avril, Eye of MATE, etc.) and use it to fix LO. They all work! LO does not (even after 5 years of bug reports and complaints.)
Comment 40 Michael Meeks 2019-01-10 10:24:12 UTC
> After 5 years (reported on 2013-02-07) there is still no one willing
> to try and fix this bug.

Which includes those who filed the bug - unfortunately. There have been multiple requests to bisect this to a single commit - so we can not only find the responsible developer easily, but also have a great handle on the problem ~instantly.

It is indeed annoying to have a long list of duplicates here; no doubt - but until it bites either a customer of an ecosystem company, or a piques a volunteer programmers interest its hard to see how it can get fixed. The best approach is to find the individual patch that caused the regression - that's bisection; no doubt someone with the relevant printer / setup can do that reasonably easily.
Comment 41 zenith sez 2019-09-09 06:22:16 UTC Comment hidden (spam)
Comment 42 zenith sez 2019-09-09 10:06:26 UTC Comment hidden (spam)
Comment 43 Timur 2020-01-11 09:42:22 UTC
Said it's fixed: 
rosgnilk@gmx.ch: reporter, Works for me with Ubuntu 16.04 LTS and LO 5.1.6.2
info@gwendragon.de: HP Officejet Pro 8100 on Debian 7 Wheezy: Bug 86848 
herman.viaene@edpnet.be: OK for me on Mageia 6RC and LibreOffice 5.3.3.2

No follow up or details - please comment for current LO version:
fremwi@gmail.com:  LO 4.0.2.2 and a HP OJ8600+ on Ubuntu 13.04 (64bits)
miguel@almeida.at: HP Officejet 8610 - Ubuntu 12.04 + LO 4.2.6.3  - Windows 8.1 + 4.1.04
viktor.bale@gmail.com: Linux Mint 17.1, LO 4.2.7.2, 4.4, 3.5.6 and 3.3.4
p.stolz77@googlemail.com: LO 4.0, HP Officejet Pro 8100
przemo65@gmail.com: LO 4.1, HP DJ 4050 DN
d0m1n1k@gmx.net: HP ColorJet CP 1515n
tenets33210@mypacks.net: LO 5.2, HP 7740 

Confirmed for newer LO:
r.pearson@ieee.org: Ubuntu MATE 18.10, HP OfficeJet Pro 7740.

Useful comment, but maybe another issue for Brother:
berndheinze69@yahoo.de: Windows XP with LibreOffice 5.3.3.2 and a Brother HL-1430 printer

Some users wrote duplex worked for them, so this is a tricky bug. 
Workaround: "You need to use the option <ignore> for "Duplex" within the printer dialogue."
Bug 83602 was from sanjay.kumar14@hp.com to report "Libreoffice sends A4 even though A4.duplex is selected in the Libreoffice print dialog."
That seems to be the cause, as also noted in Comment 19. 
Comment 17 confirmed even from 3.3.4 so not clear why this was marked regression, unless OO 3.3 works. 
There's a discussion and duplicates in Bug 39809.

Another issue because reporter said it worked before 6.3: bug 129923 with HP OfficeJet 8100 and Lexmark CS310DN
Due to the latest report, best to test with LO 6.2.8 and separately with LO 6.3.4 and master 6.5+. You may get those as Appimage at http://libreoffice.soluzioniopen.com/